window.login = {
	debug:false,
	smsIntervalId:"",
	//获取短信验证码的回调
	getSMSCallback:function(data){
        common.nativeCall("hideLoading");
		data = JSON.parse(data);
		document.querySelector("#verify").classList.remove("disable");
		var smsNode = document.querySelector("#getSMS"),
			time = 60;
		if(data.code === "200"){
			common.buried("13004",3);
        	common.nativeCall("toast","","验证码发送成功");
			smsNode.classList.add("disable")
			smsNode.innerHTML = time + "S"
			this.smsIntervalId = setInterval(function(){
				time--;
				smsNode.innerHTML = time + "S"
  				if(time < 1){
  					clearInterval(this.smsIntervalId);
  					this.smsIntervalId = "";
  					smsNode.innerHTML = "获取验证码";
  					smsNode.classList.remove("disable")
  				}
			}.bind(this),1000)
		}else{
			common.buried("13004",2,data.msg);
            common.nativeCall("toast","",{"NET_WORK_ERROR":"网络异常"}[data.msg]||data.msg);
		}
	},
	//登入的回调
	loginCallback:function(data){
		common.nativeCall("hideLoading");
		data = JSON.parse(data);
		if(data.code === "200"){
			common.buried("13004",5);
			location.href = "list.html";
		}else{
			common.buried("13004",6,data.msg);
            common.nativeCall("toast","",{"NET_WORK_ERROR":"网络异常"}[data.msg]||data.msg);
		}
	},
	//登入前的验证和调用登入方法
	verify:function(){
		var mobile = document.querySelector("#mobile").value;
		var verifyNo = document.querySelector("#verifyNo").value;

		//手机号码的校验
        if (!mobile) {
            common.nativeCall("toast","","请输入手机号码");
            return
        };
        if (!/^1\d{10}$/.test(mobile)) {
            common.nativeCall("toast","","您提交的手机号不合法");
            return
        };
        //验证码的校验
        if (!verifyNo || !/^\d{7}$/.test(verifyNo)) {
            common.nativeCall("toast","","请输入7位验证码");
            return
        };
		// 调用登入方法
		common.nativeCall("login","login.loginCallback",{
			phoneNumber:document.querySelector("#mobile").value,
			verificationCode:document.querySelector("#verifyNo").value
		});
		common.buried("13004",4);
        common.nativeCall("showLoading");
		if(this.debug){
			this.loginCallback('{"code":"200"}')
		}
	},
	moveStatus:false,
	//绑定事件
	bindEvent:function(){
		document.addEventListener("touchmove",function(e){
			this.moveStatus = true;
		}.bind(this));
		document.body.addEventListener("touchend",function(e){
			if(this.moveStatus){this.moveStatus = false;return};

			var node = e.target;
			if(node.id === "getSMS" && !node.classList.contains("disable")){
				common.nativeCall("getSMS","login.getSMSCallback",{
					phoneNumber:document.querySelector("#mobile").value
				})
				common.buried("13004",1);
        		common.nativeCall("showLoading");
				if(this.debug){
					this.getSMSCallback('{"code":"200"}')
				}
			}
			if(node.id === "verify" && !node.classList.contains("disable")){
				this.verify();
			}
		}.bind(this));

		//输入框的事件绑定
		document.body.addEventListener("input",function(e){
			var node = e.target;
			node.value = node.value.replace(/\D/g,"")
			if(node.id === "mobile"){
				if(node.value.length >= 11){
					!this.smsIntervalId && document.querySelector("#getSMS").classList.remove("disable");
					node.value = node.value.slice(0,11);
				}else{
					document.querySelector("#getSMS").classList.add("disable");
				}
			}
			if(node.id === "verifyNo"){
				if(node.value.length >= 7){
					node.value = node.value.slice(0,7);
				}

			}
		}.bind(this));
	},
	//回退按钮的回调
	backAction:function(){
		common.buried("13004",7);
		location.href = "list.html";
	},
	init:function() {
		this.bindEvent()
		common.nativeCall("setBackAction","login.backAction");
		common.buried("13004",0);
		// 解决：因为title切换会导致webview高度变换，最后导致wifi列表页面热点不足一屏时页面无休止滑动bug
		var innerHeight1 = window.innerHeight;
		var innerHeight2 = localStorage.getItem('windowInnerHeight');
		if (!innerHeight2 || innerHeight1 > innerHeight2) {
			localStorage.setItem('windowInnerHeight', innerHeight1);
		}
	}
}
login.init();